From 51467436eb8ea538c05f6addbb16d1142e734277 Mon Sep 17 00:00:00 2001
From: rread <rread>
Date: Thu, 29 Aug 2002 11:59:15 +0000
Subject: [PATCH] - add initial mcr.sh for echo test on mcr cluster - turn
 autoformat off in lov, use lconf --reformat - clean up llmount.sh

---
 lustre/tests/llmount.sh | 11 ++++++++---
 lustre/tests/local.sh   |  3 ++-
 lustre/tests/lov.sh     | 12 +++---------
 lustre/tests/lov.xml    |  4 ++--
 lustre/tests/mcr.sh     | 21 +++++++++++++++++++++
 5 files changed, 36 insertions(+), 15 deletions(-)
 create mode 100755 lustre/tests/mcr.sh

diff --git a/lustre/tests/llmount.sh b/lustre/tests/llmount.sh
index db45d8ae87..e5b5242e74 100755
--- a/lustre/tests/llmount.sh
+++ b/lustre/tests/llmount.sh
@@ -1,10 +1,15 @@
 #!/bin/sh
+# suggested boilerplate for test script
 
 LCONF=../utils/lconf
+NAME=local
 
-if [ ! -f local.xml ]; then
-   ./local.sh || exit 1
+config=$NAME.xml
+mkconfig=./$NAME.sh
+
+if [ $mkconfig -nt $local.xml ]; then
+   $mkconfig $config || exit 1
 fi
 
-${LCONF} --reformat --gdb local.xml || exit 2
+${LCONF} --reformat --gdb $config || exit 2
 
diff --git a/lustre/tests/local.sh b/lustre/tests/local.sh
index 3be79e1f1e..a005ecab51 100755
--- a/lustre/tests/local.sh
+++ b/lustre/tests/local.sh
@@ -1,6 +1,7 @@
 #!/bin/bash
 
-config=local.xml
+config=${1:-local.xml}
+
 LMC=../utils/lmc
 
 # create nodes
diff --git a/lustre/tests/lov.sh b/lustre/tests/lov.sh
index 8b15f8fef8..3e6588d321 100755
--- a/lustre/tests/lov.sh
+++ b/lustre/tests/lov.sh
@@ -1,15 +1,9 @@
 #!/bin/bash
 
-if [ -z "$1" ]; then
-   config=lov.xml
-else
-   config=$1
-fi
+config=${1:-lov.xml}
 
 LMC=../utils/lmc
 
-echo "FIXME: autoformat is no by default, edit $config to change"
-
 # create nodes
 ${LMC} -o $config --node localhost --net localhost tcp 
 
@@ -18,8 +12,8 @@ ${LMC} -m $config --format --node localhost --mds mds1 /tmp/mds1 50000
 
 # configure ost
 ${LMC} -m $config --lov lov1 mds1 4096 0 0
-${LMC} -m $config --format --node localhost --lov lov1 --ost /tmp/ost1 100000
-${LMC} -m $config --format --node localhost --lov lov1 --ost /tmp/ost2 100000
+${LMC} -m $config --node localhost --lov lov1 --ost /tmp/ost1 100000
+${LMC} -m $config --node localhost --lov lov1 --ost /tmp/ost2 100000
 
 # create client config
 ${LMC} -m $config  --node localhost --mtpt /mnt/lustre mds1 lov1
diff --git a/lustre/tests/lov.xml b/lustre/tests/lov.xml
index fc09a736a1..c5eb61fb52 100644
--- a/lustre/tests/lov.xml
+++ b/lustre/tests/lov.xml
@@ -39,7 +39,7 @@
   <obd uuid='OBD_localhost_UUID' name='OBD_localhost' type='obdfilter'>
     <fstype>extN</fstype>
     <device size='100000'>/tmp/ost1</device>
-    <autoformat>yes</autoformat>
+    <autoformat>no</autoformat>
   </obd>
   <osc name='OSC_localhost' uuid='OSC_localhost_UUID'>
     <ost_ref uuidref='OST_localhost_UUID'/>
@@ -52,7 +52,7 @@
   <obd name='OBD_localhost_2' uuid='OBD_localhost_2_UUID' type='obdfilter'>
     <fstype>extN</fstype>
     <device size='100000'>/tmp/ost2</device>
-    <autoformat>yes</autoformat>
+    <autoformat>no</autoformat>
   </obd>
   <osc name='OSC_localhost_2' uuid='OSC_localhost_2_UUID'>
     <ost_ref uuidref='OST_localhost_2_UUID'/>
diff --git a/lustre/tests/mcr.sh b/lustre/tests/mcr.sh
new file mode 100755
index 0000000000..7407049f0d
--- /dev/null
+++ b/lustre/tests/mcr.sh
@@ -0,0 +1,21 @@
+#!/bin/bash
+
+config=${1:-mcr.xml}
+
+LMC=../utils/lmc
+
+# create nodes
+${LMC} -o $config --node client --net '*' elan || exit 1
+${LMC} -m $config --node mdev2 --net mdev2 tcp || exit 1
+${LMC} -m $config --router --node mdev3 --net mdev3  tcp || exit 1
+${LMC} -m $config --node mdev3 --net 3  elan || exit 1
+
+${LMC} -m $config --node mdev3 --route elan 3 2 25 || exit 2
+${LMC} -m $config --node mdev3 --route tcp mdev3 mdev2 || exit 2
+
+
+# configure ost
+${LMC} -m $config --format --node mdev2 --obdtype=obdecho --ost || exit 3
+
+# create client config
+${LMC} -m $config --node client --osc  OSC_mdev2 || exit 4
-- 
GitLab